<?php

namespace Daylight\Core\Modules\Pricing;

use Daylight\Core\Modules\Pricing\Contracts\PricingManagerInterface;
use Illuminate\Support\ServiceProvider;

class PricingServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->singleton(PricingManagerInterface::class, function () {
            return new PricingManager;
        });
    }
}
